## org.flexdock.docking.drag
Class DragManager

    java.lang.Object
      java.awt.event.MouseAdapter
          org.flexdock.docking.drag.DragManager

All Implemented Interfaces:
  java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener

    public class DragManager

extends java.awt.event.MouseAdapter
implements java.awt.event.MouseMotionListener

Author:
  Christopher Butler

Constructor Summary
`DragManager(Dockable dockable)`

Method Summary
`protected void` `finishDrag(Dockable dockable, DragOperation token, java.awt.event.MouseEvent mouseEvt)`
`static DragOperation` `getCurrentDragOperation()`
`static java.util.Map` `getDragContext(Dockable dockable)`
`static boolean` `isFloatingAllowed(Dockable dockable)`
`void` `mouseDragged(java.awt.event.MouseEvent evt)`
`void` `mouseMoved(java.awt.event.MouseEvent e)`
`void` `mousePressed(java.awt.event.MouseEvent e)`
`void` `mouseReleased(java.awt.event.MouseEvent e)`
`static void` `prime()`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited, mouseWheelMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DragManager

    public DragManager(Dockable dockable)

Method Detail

### prime

    public static void prime()

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Overrides:
    `mousePressed` in class `java.awt.event.MouseAdapter`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent evt)

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`
  Overrides:
    `mouseDragged` in class `java.awt.event.MouseAdapter`

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`
  Overrides:
    `mouseMoved` in class `java.awt.event.MouseAdapter`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseReleased` in class `java.awt.event.MouseAdapter`

### finishDrag

    protected void finishDrag(Dockable dockable,
                              DragOperation token,
                              java.awt.event.MouseEvent mouseEvt)

### getDragContext

    public static java.util.Map getDragContext(Dockable dockable)

### isFloatingAllowed

    public static boolean isFloatingAllowed(Dockable dockable)

### getCurrentDragOperation

    public static DragOperation getCurrentDragOperation()